package com.hzya.frame.mdm.mdmModuleDb.entity;

import java.util.Date;
import java.util.List;

import com.hzya.frame.mdm.mdmModuleDbFileds.entity.MdmModuleDbFiledsEntity;
import com.hzya.frame.mdm.mdmModuleDbFiledsRule.entity.MdmModuleDbFiledsRuleEntity;
import com.hzya.frame.web.entity.BaseEntity;
/**
 * 模版数据库表(MdmModuleDb)实体类
 *
 * @author makejava
 * @since 2024-06-03 08:46:50
 */
public class MdmModuleDbEntity extends BaseEntity {
 
  /**  主数据模版ID */
   private String mdmId;
  /**  表名 */
   private String dbName;
  /**  类型 1、主表 2、明细 3、操作日志 4、下发日志 */
   private String dbType;
  /**  备注 */
   private String remark;
  /**  公司id */
   private String companyId;
    /**  数据类型 1、新增 2、修改 */
    private String dataType;
    private List<MdmModuleDbFiledsEntity> sublistMdmModuleDbFileds;


    public String getMdmId() {
        return mdmId;
    }

    public void setMdmId(String mdmId) {
        this.mdmId = mdmId;
    }

    public String getDbName() {
        return dbName;
    }

    public void setDbName(String dbName) {
        this.dbName = dbName;
    }

    public String getDbType() {
        return dbType;
    }

    public void setDbType(String dbType) {
        this.dbType = dbType;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public List<MdmModuleDbFiledsEntity> getSublistMdmModuleDbFileds() {
        return sublistMdmModuleDbFileds;
    }

    public void setSublistMdmModuleDbFileds(List<MdmModuleDbFiledsEntity> sublistMdmModuleDbFileds) {
        this.sublistMdmModuleDbFileds = sublistMdmModuleDbFileds;
    }

    public String getDataType() {
        return dataType;
    }

    public void setDataType(String dataType) {
        this.dataType = dataType;
    }
}

